Recent Trades List
Get recent trades for a symbol. By default, returns the latest 500 trades.
HTTP Request
- GET
/api/v3/trades
Weight(IP): 5
Request Parameters
| Name | Type | Mandatory | Description | Scope |
|---|---|---|---|---|
| symbol | string | YES | Symbol name | e.g. BTCUSDT |
| limit | integer | NO | Number of results returned | Default 500; max 1000 |
Response Parameters
| Name | Description |
|---|---|
| id | Trade id |
| price | Price |
| qty | Number |
| quoteQty | Trade total |
| time | Trade time |
| isBuyerMaker | Was the buyer the maker? |
| isBestMatch | Was the trade the best price match? |
| tradeType | Trade type |
Response
[
{
"id": null,
"price": "63530",
"qty": "0.00317906",
"quoteQty": "201.96568180",
"time": 1781226399689,
"isBuyerMaker": true,
"isBestMatch": true,
"tradeType": "ASK"
},
{
"id": null,
"price": "63530",
"qty": "0.00100644",
"quoteQty": "63.93913320",
"time": 1781226399688,
"isBuyerMaker": true,
"isBestMatch": true,
"tradeType": "ASK"
},
{
"id": null,
"price": "63529.99",
"qty": "0.00232318",
"quoteQty": "147.5916021682",
"time": 1781226399687,
"isBuyerMaker": true,
"isBestMatch": true,
"tradeType": "ASK"
}
]